Package org.drinkless.tdlib

# Class TdApi.TelegramPaymentPurposeStars

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.TelegramPaymentPurpose
org.drinkless.tdlib.TdApi.TelegramPaymentPurposeStars

Enclosing class:
  TdApi

public static class TdApi.TelegramPaymentPurposeStars extends TdApi.TelegramPaymentPurpose
The user buying Telegram stars.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.TelegramPaymentPurpose

  `TdApi.TelegramPaymentPurpose.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `amount`
  Paid amount, in the smallest units of the currency.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `currency`
  ISO 4217 currency code of the payment currency.
  `long`
  `starCount`
  Number of bought stars.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TelegramPaymentPurposeStars()`
  The user buying Telegram stars.
  `TelegramPaymentPurposeStars(String currency, long amount, long starCount)`
  The user buying Telegram stars.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### currency

    public String currency
    ISO 4217 currency code of the payment currency.

  - ### amount

    public long amount
    Paid amount, in the smallest units of the currency.

  - ### starCount

    public long starCount
    Number of bought stars.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### TelegramPaymentPurposeStars

    public TelegramPaymentPurposeStars()
    The user buying Telegram stars.

  - ### TelegramPaymentPurposeStars

    public TelegramPaymentPurposeStars(String currency, long amount, long starCount)
    The user buying Telegram stars.
    Parameters:
      `currency` - ISO 4217 currency code of the payment currency.
      `amount` - Paid amount, in the smallest units of the currency.
      `starCount` - Number of bought stars.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.TelegramPaymentPurpose`
    Returns:
      this.CONSTRUCTOR